<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\HandleSaveSettingsAjax;

class HandleSaveSettingsAjaxController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleSaveSettingsAjaxUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new HandleSaveSettingsAjaxRequest();
    $requestObj->savesettings = \GetOperations::isDefined('savesettings');
    $requestObj->ausgewaehlteOptionen = \PostOperations::getVarValue('ausgewaehlteOptionen');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HandleSaveSettingsAjaxPresenter($pUseCaseResponse);
  }
}